---
title: retrieves-a-configurable-log-drain-deprecated
product: vercel
url: /docs/rest-api/logdrains/retrieves-a-configurable-log-drain-deprecated
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about retrieves-a-configurable-log-drain-deprecated on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# Retrieves a Configurable Log Drain (deprecated)

```http
GET /v1/log-drains/{id}
```

Retrieves a Configurable Log Drain. This endpoint must be called with a team AccessToken (integration OAuth2 clients are not allowed). Only log drains owned by the authenticated team can be accessed.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | Yes |  |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "createdFrom"
  ],
  "properties": {
    "createdFrom": {
      "type": "string"
    },
    "clientId": {
      "type": "string"
    },
    "configurationId": {
      "type": "string"
    },
    "projectsMetadata": {
      "type": "array",
      "nullable": true,
      "items": {
        "type": "object",
        "required": [
          "id",
          "name"
        ],
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "framework": {
            "type": "string",
            "enum": [
              "blitzjs",
              "nextjs",
              "gatsby",
              "remix",
              "react-router",
              "astro",
              "hexo",
              "eleventy",
              "docusaurus-2",
              "docusaurus",
              "preact",
              "solidstart-1",
              "solidstart",
              "dojo",
              "ember",
              "vue",
              "scully",
              "ionic-angular",
              "angular",
              "polymer",
              "svelte",
              "sveltekit",
              "sveltekit-1",
              "ionic-react",
              "create-react-app",
              "gridsome",
              "umijs",
              "sapper",
              "saber",
              "stencil",
              "nuxtjs",
              "redwoodjs",
              "hugo",
              "jekyll",
              "brunch",
              "middleman",
              "zola",
              "hydrogen",
              "vite",
              "tanstack-start",
              "vitepress",
              "vuepress",
              "parcel",
              "fastapi",
              "flask",
              "fasthtml",
              "django",
              "sanity-v3",
              "sanity",
              "storybook",
              "nitro",
              "hono",
              "express",
              "h3",
              "koa",
              "nestjs",
              "elysia",
              "fastify",
              "xmcp",
              "python",
              "ruby",
              "rust",
              "node",
              "go",
              "services",
              "mastra"
            ],
            "nullable": true
          },
          "latestDeployment": {
            "type": "string"
          }
        }
      }
    },
    "integrationIcon": {
      "type": "string"
    },
    "integrationConfigurationUri": {
      "type": "string"
    },
    "integrationWebsite": {
      "type": "string"
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

---

## Related

- [logDrains endpoints](/docs/rest-api#logdrains)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
